# Class SASjsApiClient

### Hierarchy

- SASjsApiClient

### Constructors

- constructor

### Methods

- deploy
- executeJob
- setConfig

## Constructors

### constructor

- new SASjsApiClient(serverUrl: string, requestClient: RequestClient): SASjsApiClient

- - Defined in src/SASjsApiClient.ts:4

  #### Parameters

  - ##### serverUrl: string

  - ##### requestClient: RequestClient

  #### Returns SASjsApiClient

## Methods

### deploy

- deploy(members: [FolderMember, ServiceMember], appLoc: string): Promise<object>

- - Defined in src/SASjsApiClient.ts:14

  #### Parameters

  - ##### members: [FolderMember, ServiceMember]

  - ##### appLoc: string

  #### Returns Promise<object>

### executeJob

- executeJob(query: ExecutionQuery): Promise<object>

- - Defined in src/SASjsApiClient.ts:28

  #### Parameters

  - ##### query: ExecutionQuery

  #### Returns Promise<object>

### setConfig

- setConfig(serverUrl: string): void

- - Defined in src/SASjsApiClient.ts:10

  #### Parameters

  - ##### serverUrl: string

  #### Returns void

Generated using TypeDoc